### Method

# Gimp Image flatten

#### Declaration [src]

    GimpLayer*
    gimp_image_flatten (
      GimpImage* image
    )

#### Description [src]

Flatten all visible layers into a single layer. Discard all invisible layers.

This procedure combines the visible layers in a manner analogous to merging with the CLIP_TO_IMAGE merge type. Non-visible layers are discarded, and the resulting image is stripped of its alpha channel.

#### Return value

Returns: | `GimpLayer`
| The resulting layer.
| The data is owned by the instance.